AbstractThreadingHandler (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractThreadingHandler

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractThreadingHandler

All Implemented Interfaces:
  ThreadingHandler

    public abstract class AbstractThreadingHandler
    extends Object

Base implementation of the ThreadingHandler interface.

Authors:
  Andres Almiray

Since:
  0.9.3

Constructor Summary
`AbstractThreadingHandler()`

Method Summary
`void` | `execAsync(Runnable runnable)`
`Future` | `execFuture(ExecutorService executorService, Closure closure)`
`Future` | `execFuture(Closure closure)`
`Future` | `execFuture(ExecutorService executorService, Callable callable)`
`Future` | `execFuture(Callable callable)`
`void` | `execInsideUIAsync(Runnable runnable)`
`void` | `execInsideUISync(Runnable runnable)`
`void` | `execOutside(Runnable runnable)`
`void` | `execOutsideUI(Runnable runnable)`
`void` | `execSync(Runnable runnable)`
`boolean` | `isUIThread()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AbstractThreadingHandler

    AbstractThreadingHandler()

Method Detail

### execAsync

    public void execAsync(Runnable runnable)

### execFuture

    public Future execFuture(ExecutorService executorService, Closure closure)

### execFuture

    public Future execFuture(Closure closure)

### execFuture

    public Future execFuture(ExecutorService executorService, Callable callable)

### execFuture

    public Future execFuture(Callable callable)

### execInsideUIAsync

    public void execInsideUIAsync(Runnable runnable)

### execInsideUISync

    public void execInsideUISync(Runnable runnable)

### execOutside

    public void execOutside(Runnable runnable)

### execOutsideUI

    public void execOutsideUI(Runnable runnable)

### execSync

    public void execSync(Runnable runnable)

### isUIThread

    public boolean isUIThread()

Groovy Documentation